Bug 716659 - Torque updates Overwrite nodes file
Torque updates Overwrite nodes file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: torque (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-26 01:33 EDT by bob mckay
Modified: 2011-08-26 17:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: torque-2.5.7-1.el4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 10:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bob mckay 2011-06-26 01:33:52 EDT
Description of problem:
Update of torque to 3.0.1 versions overwrites 
/var/lib/torque/server_priv/node.conf

Version-Release number of selected component (if applicable):
3.0.1-3.fc15 (but applies to all 3.0.1 versions I have tried)

How reproducible:
100%

Steps to Reproduce:
1. Update torque to 3.0.1 version (yum or preupgrade)
2.
3.
  
Actual results:
node.conf is overwritten with an empty file

Expected results:
node.conf contents are preserved

Additional info:
I can't think of anything useful, but happy to oblige
Comment 1 Steve Traylen 2011-06-26 02:24:56 EDT
Hi Bob,
You say updates to 3.0.1-3, where were you starting from?

Steve
Comment 2 Steve Traylen 2011-06-26 02:56:57 EDT
I guess you mean

/var/lib/torque/server_priv/nodes 

and not 

 /var/lib/torque/server_priv/node.conf 

certainly the first one is being trashed, I don't think the second
one exists.

Steve.
Comment 3 bob mckay 2011-06-26 09:55:17 EDT
Oooops, you're right, sorry.
Comment 4 Fedora Update System 2011-06-26 14:04:12 EDT
torque-3.0.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/torque-3.0.1-4.fc15
Comment 5 Fedora Update System 2011-06-26 14:07:51 EDT
torque-2.5.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/torque-2.5.5-3.el6
Comment 6 Fedora Update System 2011-06-27 13:48:19 EDT
Package torque-2.5.5-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing torque-2.5.5-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/torque-2.5.5-3.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-07-12 10:59:02 EDT
torque-2.5.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-07-12 18:01:34 EDT
torque-3.0.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-08-10 05:01:08 EDT
torque-2.5.7-1.el4.1 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/torque-2.5.7-1.el4.1
Comment 10 Fedora Update System 2011-08-10 05:04:53 EDT
torque-2.5.7-1.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/torque-2.5.7-1.el5.1
Comment 11 Fedora Update System 2011-08-26 17:55:12 EDT
torque-2.5.7-1.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-08-26 17:56:10 EDT
torque-2.5.7-1.el4.1 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.